À propos des correctifs de sécurité d’iOS 10.3.2

Ce document décrit les correctifs de sécurité d’iOS 10.3.2.

À propos des mises à jour de sécurité Apple

Dans un souci de protection de ses clients, Apple s’interdit de divulguer, d’aborder ou de confirmer l’existence de failles de sécurité tant qu’une enquête n’a pas été effectuée et que des correctifs ou mises à jour ne sont pas disponibles. Les mises à jour récentes sont répertoriées sur la page Mises à jour de sécurité Apple.

Pour obtenir plus d’informations en matière de sécurité, consultez la page Sécurité produit Apple. Vous pouvez chiffrer les communications avec Apple à l’aide de la Clé PGP du groupe de sécurité produit d’Apple.

Les documents de sécurité Apple répertorient les vulnérabilités par référence CVE dans la mesure du possible.

iOS 10.3.2

Publié le 15 mai 2017

AVEVideoEncoder

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut être en mesure de profiter de privilèges liés au noyau.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2017-6989 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6994 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6995 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6996 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6997 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6998 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

CVE-2017-6999 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

Entrée mise à jour le 17 mai 2017

CoreAudio

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut être en mesure de lire la mémoire restreinte.

Description : un problème de validation a été résolu par un meilleur nettoyage des entrées.

CVE-2017-2502 : Yangkang (@dnpushme) de la Qihoo360 Qex Team

CoreFoundation

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : l’analyse de données malveillantes peut entraîner l’exécution arbitraire de code.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2017-2522 : Ian Beer de Google Project Zero

Entrée ajoutée le 19 mai 2017

CoreText

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un fichier malveillant peut entraîner la fermeture d’une application.

Description : un problème de déni de service a été résolu par une meilleure validation.

CVE-2017-7003 : Jake Davis de SPYSCAPE (@DoubleJake), João Henrique Neves et Stephen Goldberg de Salesforce

Entrée ajoutée le 7 juin 2017

Foundation

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : l’analyse de données malveillantes peut entraîner l’exécution arbitraire de code.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2017-2523 : Ian Beer de Google Project Zero

Entrée ajoutée le 19 mai 2017

iBooks

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : un livre malveillant peut ouvrir des sites Web arbitraires sans autorisation préalable de l’utilisateur.

Description : un problème de gestion d’URL a été résolu par une meilleure gestion des états.

CVE-2017-2497 : Jun Kokatsu (@shhnjk)

iBooks

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut exécuter un code arbitraire avec des privilèges racine.

Description : la logique de validation des chemins des liens symboliques présentait un problème. Celui-ci a été résolu par un meilleur nettoyage des chemins.

CVE-2017-6981 : evi1m0 de YSRC (sec.ly.com)

IOSurface

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut être en mesure de profiter de privilèges liés au noyau.

Description : un problème de concurrence a été résolu par un meilleur verrouillage.

CVE-2017-6979 : Adam Donenfeld (@doadam) de la Zimperium zLabs Team

Entrée mise à jour le 17 mai 2017

JavaScriptCore

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner la fermeture inopinée d’une application ou l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2017-7005 : lokihardt de Google Project Zero

Entrée ajoutée le 9 juin 2017

Noyau

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut exécuter un code arbitraire avec des privilèges liés au noyau.

Description : un problème de concurrence a été résolu par un meilleur verrouillage.

CVE-2017-2501 : Ian Beer de Google Project Zero

Noyau

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut être en mesure de lire la mémoire restreinte.

Description : un problème de validation a été résolu par un meilleur nettoyage des entrées.

CVE-2017-2507 : Ian Beer de Google Project Zero

CVE-2017-6987 : Patrick Wardle de Synack

Notifications

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut être en mesure d’entraîner un déni de service.

Description : il existait un problème de déni de service, résolu par une meilleure gestion de la mémoire.

CVE-2017-6982 : Vincent Desmurs (vincedes3), Sem Voigtlander (OxFEEDFACE) et Joseph Shenton de CoffeeBreakers

Safari

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : la consultation d’un site Web malveillant peut conduire à un déni de service d’une application.

Description : un problème dans le menu d’historique de Safari a été résolu par une meilleure gestion de la mémoire.

CVE-2017-2495 : Tubasa Iinuma (@llamakko_cafe) de Gehirn Inc.

Sécurité

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : la politique de fiabilité des certificats a été mise à jour.

Description : un problème de validation de certificat existait au niveau de la gestion des certificats non approuvés. Ce problème a été résolu par une meilleure gestion utilisateur de la validation des approbations.

CVE-2017-2498 : Andrew Jerman

Sécurité

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application locale peut être en mesure d’envoyer des messages XPC privilégiés sans y être autorisée.

Description : un problème de concurrence a été résolu par une meilleure vérification de la cohérence.

CVE-2017-7004 : Ian Beer de Google Project Zero

Entrée ajoutée le 8 juin 2017

SQLite

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une requête SQL malveillante peut entraîner l’exécution arbitraire de code.

Description : un problème d’utilisation de mémoire libérée a été résolu par une meilleure gestion de la mémoire.

CVE-2017-2513 : découvert par OSS-Fuzz

SQLite

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une requête SQL malveillante peut entraîner l’exécution arbitraire de code.

Description : un problème de dépassement de la mémoire tampon a été résolu par une meilleure gestion de la mémoire.

CVE-2017-2518 : découvert par OSS-Fuzz

CVE-2017-2520 : découvert par OSS-Fuzz

SQLite

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une requête SQL malveillante peut entraîner l’exécution arbitraire de code.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2017-2519 : découvert par OSS-Fuzz

SQLite

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure validation des entrées.

CVE-2017-6983 : Chaitin Security Research Lab (@ChaitinTech) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-6991 : Chaitin Security Research Lab (@ChaitinTech) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-7000 : Chaitin Security Research Lab (@ChaitinTech) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-7001 : Chaitin Security Research Lab (@ChaitinTech) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-7002 : Chaitin Security Research Lab (@ChaitinTech) en collaboration avec le programme Zero Day Initiative de Trend Micro

Entrée mise à jour le 24 mai 2017

TextInput

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : l’analyse de données malveillantes peut entraîner l’exécution arbitraire de code.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2017-2524 : Ian Beer de Google Project Zero

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2017-2496 : Apple

CVE-2017-2505 : lokihardt de Google Project Zero

CVE-2017-2506 : Zheng Huang de Baidu Security Lab en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2514 : lokihardt de Google Project Zero

CVE-2017-2515 : lokihardt de Google Project Zero

CVE-2017-2521 : lokihardt de Google Project Zero

CVE-2017-2525 : Kai Kang (4B5F5F4B) du Xuanwu Lab de Tencent (tencent.com) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2526 : Kai Kang (4B5F5F4B) du Xuanwu Lab de Tencent (tencent.com) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2530 : Wei Yuan de Baidu Security Lab, Zheng Huang de Baidu Security Lab en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2531 : lokihardt de Google Project Zero

CVE-2017-2538 : Richard Zhu (fluorescence) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2539 : Richard Zhu (fluorescence) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2544 : 360 Security (@mj0011sec) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-2547 : lokihardt de Google Project Zero, Team Sniper (Keen Lab et PC Mgr) en collaboration avec le programme Zero Day Initiative de Trend Micro

CVE-2017-6980 : lokihardt de Google Project Zero

CVE-2017-6984 : lokihardt de Google Project Zero

Entrée mise à jour le 20 juin 2017

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut provoquer un scriptage intersite (cross-site scripting) universel.

Description : la gestion des commandes de l’éditeur WebKit présentait un problème de logique. Ce problème a été résolu par une meilleure gestion des états.

CVE-2017-2504 : lokihardt de Google Project Zero

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut provoquer un scriptage intersite (cross-site scripting) universel.

Description : la gestion des nœuds de conteneur WebKit présentait un problème de logique. Ce problème a été résolu par une meilleure gestion des états.

CVE-2017-2508 : lokihardt de Google Project Zero

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut provoquer un scriptage intersite (cross-site scripting) universel.

Description : la gestion des événements pageshow présentait un problème de logique. Ce problème a été résolu par une meilleure gestion des états.

CVE-2017-2510 : lokihardt de Google Project Zero

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut provoquer un scriptage intersite (cross-site scripting) universel.

Description : la gestion des cadres WebKit mis en cache présentait un problème de logique. Ce problème a été résolu par une meilleure gestion des états.

CVE-2017-2528 : lokihardt de Google Project Zero

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2017-2536 : Samuel Groß et Niklas Baumstark en collaboration avec le programme Zero Day Initiative de Trend Micro

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : le traitement d’un contenu Web malveillant peut provoquer un scriptage intersite (cross-site scripting) universel.

Description : le chargement des cadres présentait un problème de logique. Ce problème a été résolu par une meilleure gestion des états.

CVE-2017-2549 : lokihardt de Google Project Zero

Inspecteur Web WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, et iPod touch 6e génération.

Conséquence : une application peut exécuter un code non signé.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2017-2499 : George Dan (@theninjaprawn)

Remerciements supplémentaires

Noyau

Nous souhaiterions remercier Orr A. de l’équipe Aleph Research, HCL Technologies, pour son aide.

Safari

Nous souhaiterions remercier Flyin9_L (ZhenHui Lee) (@ACITSEC) pour son aide.

Les informations se rapportant à des produits non fabriqués par Apple, ou à des sites Web indépendants qui ne sont ni contrôlés ni testés par Apple, sont fournies uniquement à titre indicatif et ne constituent aucune recommandation. Apple ne saurait être tenu pour responsable de tout problème lié à l’utilisation de tels sites ou produits tiers, ou à leurs performances. Apple ne garantit en aucune façon la fiabilité d’un site Web, ou l’exactitude des informations que ce dernier propose. L’utilisation d’Internet induit en effet des risques. Contactez le fournisseur pour obtenir des informations supplémentaires. Les autres noms de société et de produit peuvent constituer des marques déposées de leurs détenteurs respectifs.

Date de publication: